import { OnInit } from '@angular/core';
import { DialogConfig } from '../../../../ui-kit/dialog/dialog-config';
import { DialogRef } from '../../../../ui-kit/dialog/dialog-ref';
import { EditorConfig } from 'vcomply-editor';
import * as i0 from "@angular/core";
export declare class AddPageDetailsComponent implements OnInit {
    private config;
    private dialogRef;
    pageDesc: string;
    fd: any;
    constructor(config: DialogConfig, dialogRef: DialogRef);
    pageDetails: any;
    tempPageDetails: any;
    ngOnInit(): void;
    savePageDetails(): void;
    extractContent(s: any): string;
    populatePageDetailsList(): void;
    cancelPageDetails(): void;
    description: EditorConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddPageDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddPageDetailsComponent, "app-add-page-details", never, {}, {}, never, never, false, never>;
}
